Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend
Class Work<T>

    java.lang.Object
      org.hibernate.search.backend.Work<T>

    public class Work<T>

extends java.lang.Object

A unit of work. Only make sense inside the same session since it uses the scope principle.

Author:
  Emmanuel Bernard

Constructor Summary
`Work(java.lang.Class<T> entityType, java.io.Serializable id, WorkType type)`
`Work(T entity, java.io.Serializable id, WorkType type)`
`Work(T entity, org.hibernate.annotations.common.reflection.XMember idGetter, WorkType type)`

Method Summary
`T` | `getEntity()`
`java.lang.Class<T>` | `getEntityClass()`
`java.io.Serializable` | `getId()`
`org.hibernate.annotations.common.reflection.XMember` | `getIdGetter()`
`WorkType` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Work

    public Work(T entity,
                java.io.Serializable id,
                WorkType type)

### Work

    public Work(java.lang.Class<T> entityType,
                java.io.Serializable id,
                WorkType type)

### Work

    public Work(T entity,
                org.hibernate.annotations.common.reflection.XMember idGetter,
                WorkType type)

Method Detail

### getEntityClass

    public java.lang.Class<T> getEntityClass()

### getEntity

    public T getEntity()

### getId

    public java.io.Serializable getId()

### getIdGetter

    public org.hibernate.annotations.common.reflection.XMember getIdGetter()

### getType

    public WorkType getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.